[SciPy-user] Ubuntu 7.10 Gutsy Gibbon vs. SciPy

David M. Cooke cookedm@physics.mcmaster...
Tue Oct 23 11:47:28 CDT 2007


"Alexander Borghgraef" <alexander.borghgraef.rma@gmail.com> writes:

>> I upgraded to Gutsy yesterday, scipy 0.5.2 kept working no problem. But
> then I upgraded to 0.6.0 from the http://debs.astraw.com/
> repository, and now when import all of scipy, I get the error:
>
> <type 'exceptions.ImportError'>:
> /usr/lib/python2.5/site-packages/scipy/fftpack/_fftpack.so: undefined
> symbol: zfftnd_fftw
>
> Any idea what's causing this?

Run 'ldd /usr/lib/python2.5/site-packages/scipy/fftpack/_fftpack.so' to
see which libraries it wants to load. That function is the wrapper
routine for FFTW2 for the complex FFT. I'm not sure how it wouldn't be
compiled in, though.

-- 
|>|\/|<
/------------------------------------------------------------------\
|David M. Cooke              http://arbutus.physics.mcmaster.ca/dmc/
|cookedm@physics.mcmaster.ca


More information about the SciPy-user mailing list